Subject: bug#55305: 28.0.50: With async nativecomp, package manager fails to load hyperbole-autoloads.el before compilation

From: Eli Zaretskii <[email-masked]>
Date: Sun, 15 May 2022 08:15:00 +0300

> From: Robert Weiner <[email-masked]>
> Date: Sat, 14 May 2022 18:40:03 -0400
> Cc: [email-masked]
> 
> On Sat, May 14, 2022 at 11:05 AM Eli Zaretskii <[email-masked]> wrote:
> 
>  If you are lobbying for having more automated discovery and loading of
>  loaddefs files, then you are asking for a new feature, not reporting a
>  bug in Emacs 28 that didn't exist in previous versions.  And I don't
>  think I agree that this feature is a good idea, for when a file is
>  compiled.  But we could discuss this feature request; my point is that
>  there's no bug here, but a normal behavior we have with any
>  compilation of any Lisp file in any Emacs version.
> 
> Hi Eli:
> 
> I see what you are saying.  I wish Stefan would say
> something here too with his perspective of dealing
> with autoload files in Elpa packages.

Stefan doesn't read this list.  I've CC'ed him now, so he could
comment.